
Redmine - Feature #23630

Migrate to Rails 5.2

2016-08-22 08:28 - Tigergm Wu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

Is there any plan to upgrade the enviroment to rails 5?

Or is there any future version planning for rails 5?

Thanks a lot.

Related issues:

Related to Redmine - Defect #16482: Wrong search query for timelog, when time... New

Related to Redmine - Defect #26498: Rails5: scm entry *.html causes 404 Not F... Closed

Related to Redmine - Defect #26499: DEPRECATION WARNING due to changes in dir... Closed

Related to Redmine - Defect #26506: User link syntax causes an exception whil... Closed

Related to Redmine - Defect #26513: Rails5: production env: NameError (uninit... Closed

Related to Redmine - Defect #26518: Rails 5: Adding a block in My Page causes... Closed

Related to Redmine - Defect #26610: Migration file generated by redmine_plugi... Closed

Related to Redmine - Defect #26615: "schema_migrations_table_name is deprecat... Closed

Related to Redmine - Defect #27871: Failed to run plugins test Closed

Related to Redmine - Defect #17517: Attempting to Add a Related Issue Multipl... Closed

Related to Redmine - Defect #26636: Rails 5: "Page not found" error when acce... Closed

Related to Redmine - Defect #28482: Buttons are disabled when modal is opened... Closed

Related to Redmine - Defect #27283: Failed to run "rake db:migrate" command a... Closed

Related to Redmine - Patch #28929: Update roadie-rails to ~> 1.3.0 Closed

Related to Redmine - Defect #28931: Unreachable code in QueriesControllerTest... Closed

Related to Redmine - Patch #28932: [Rails 5.2] image_tag no longer generates ... Closed

Related to Redmine - Defect #8537: Error in copying projects Closed 2011-06-06

Related to Redmine - Patch #29344: Migrate to Rails 5.2.1 Closed

Related to Redmine - Patch #29424: Convert migration file from 4.2 to 5.2 New

Related to Redmine - Patch #29772: Rails 5: Update INSTALL doc: s/WEBrick/Puma/ Closed

Related to Redmine - Defect #26066: Selenium::WebDriver doesn't work with cur... Closed

Related to Redmine - Defect #30285: Microsoft SQL server support is broken Closed

Related to Redmine - Feature #29660: Add Referrer-Policy header to prevent br... Closed

Related to Redmine - Defect #30753: Plugins auto_load and eager_load paths Closed

Has duplicate Redmine - Patch #28933: Migrate to Rails 5.2 Closed

Blocked by Redmine - Feature #19755: Drop protected_attributes gem Closed

Blocked by Redmine - Feature #25538: Drop support for Ruby 2.2.1 and ealier, ... Closed

Associated revisions

Revision 16859 - 2017-07-23 13:26 - Jean-Philippe Lang

Merged rails-5.1 branch (#23630).

Revision 16860 - 2017-07-23 13:40 - Jean-Philippe Lang

Renames column comments.comments to comments.content to please Rails 5.1 (#23630).

Revision 16864 - 2017-07-23 14:35 - Jean-Philippe Lang

Converts UI tests to system tests (#23630).

2025-05-01 1/4



Revision 17410 - 2018-06-23 07:13 - Jean-Philippe Lang

Upgrade to Rails 5.2.0 (#23630).

Revision 17411 - 2018-06-23 07:19 - Jean-Philippe Lang

Dangerous query method deprecation warnings (#23630).

Revision 17500 - 2018-09-23 10:48 - Jean-Philippe Lang

Sqlite3: Boolean values are now stored as 1 and 0 (#23630).

Revision 17501 - 2018-09-23 11:48 - Jean-Philippe Lang

Sqlite3: change default value for booleans to 1 or 0 (#23630).

History

#1 - 2016-08-22 09:31 - Toshi MARUYAMA

- Blocked by Feature #19755: Drop protected_attributes gem added

#2 - 2016-08-22 09:31 - Toshi MARUYAMA

- Subject changed from rails 5.0 enviroment support to Rails 5 support

- Target version set to 4.0.0

#3 - 2017-05-30 18:51 - Toshi MARUYAMA

- Related to Defect #16482: Wrong search query for timelog, when timezone not UTC added

#4 - 2017-07-09 06:29 - Go MAEDA

- Blocked by Feature #25538: Drop support for Ruby 2.2.1 and ealier, 2.2.2+ is now required added

#5 - 2017-07-22 12:50 - Jean-Philippe Lang

- Related to Defect #26498: Rails5: scm entry *.html causes 404 Not Found added

#6 - 2017-07-23 11:02 - Jean-Philippe Lang

- Related to Defect #26499: DEPRECATION WARNING due to changes in dirty attributes methods in Rails 5.1 added

#7 - 2017-07-23 11:02 - Jean-Philippe Lang

- Subject changed from Rails 5 support to Migrate to Rails 5.1

#8 - 2017-07-23 12:41 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

The migration to Rails 5.1.2 is complete and will be merged in trunk very soon.

#9 - 2017-07-23 18:48 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

#10 - 2017-07-24 02:34 - Tigergm Wu

Good News and I am looking forward to this new version. Thank you so much!

Jean-Philippe Lang wrote:

The migration to Rails 5.1.2 is complete and will be merged in trunk very soon.

#11 - 2017-07-24 19:01 - Jean-Philippe Lang

- Related to Defect #26506: User link syntax causes an exception while sending email notification on Rails 5.1 added

#12 - 2017-07-24 19:15 - Jean-Philippe Lang

- Related to Defect #26513: Rails5: production env: NameError (uninitialized constant Redmine::SortCriteria) added
#13 - 2017-07-25 19:25 - Jean-Philippe Lang

- Related to Defect #26518: Rails 5: Adding a block in My Page causes "Invalid form authenticity token." added

#14 - 2017-08-02 18:49 - Jean-Philippe Lang

- Related to Defect #26610: Migration file generated by redmine_plugin_model generator is not compatible with Rails 5.1 added

#15 - 2017-08-03 02:42 - Go MAEDA

- Related to Defect #26615: "schema_migrations_table_name is deprecated" warning during redmine:plugins:migrate added

#16 - 2018-01-01 11:32 - Go MAEDA

- Related to Defect #27871: Failed to run plugins test added

#17 - 2018-03-22 23:40 - Marius BĂLTEANU

- Related to Defect #17517: Attempting to Add a Related Issue Multiple Times Sequentially Causes 500 added

#18 - 2018-04-08 21:07 - Marius BĂLTEANU

- Related to Defect #26636: Rails 5: "Page not found" error when accessing a page of a plugin in production mode added

#19 - 2018-04-25 14:52 - Go MAEDA

- Related to Defect #28482: Buttons are disabled when modal is opened again after exporting CSV added

#20 - 2018-04-30 23:21 - Marius BĂLTEANU

- Related to Defect #27283: Failed to run "rake db:migrate" command against clean database on MySQL 5.7 added

#21 - 2018-06-23 07:16 - Jean-Philippe Lang

- Subject changed from Migrate to Rails 5.1 to Migrate to Rails 5.2

#22 - 2018-06-23 07:25 - Go MAEDA

- Related to Patch #28929: Update roadie-rails to ~> 1.3.0 added

#23 - 2018-06-23 07:26 - Go MAEDA

- Related to Defect #28931: Unreachable code in QueriesControllerTest#test_bulk_copy_to_another_project added

#24 - 2018-06-23 07:27 - Go MAEDA

- Related to Patch #28932: [Rails 5.2] image_tag no longer generates default alt text added

#25 - 2018-06-23 10:20 - Go MAEDA

- Has duplicate Patch #28933: Migrate to Rails 5.2 added

#26 - 2018-07-02 16:14 - Go MAEDA

- Related to Defect #8537: Error in copying projects added

#27 - 2018-08-08 15:29 - Go MAEDA

- Related to Patch #29344: Migrate to Rails 5.2.1 added

#28 - 2018-08-21 10:49 - Enziin System

The process of migrating to 5.2.1 does not simply add Rails 5.2.1 to the Gemfile.

It also involves changing the "ActiveRecord :: Migration [4.2]" in the migrate file.

Because id(11) will quickly overflow when using Redmine on a large scale application.

Let's evaluate the ability to switch to bigint(20), which is supported by default by Rails 5.2.1

#29 - 2018-08-21 10:57 - Go MAEDA

Enziin System wrote:

Because id(11) will quickly overflow when using Redmine on a large scale application.
Let's evaluate the ability to switch to bigint(20), which is supported by default by Rails 5.2.1

 Extending the width of the columns is a new feature request. Please open a new issue instead of adding notes to a closed issue.

#30 - 2018-09-23 11:17 - Marius BĂLTEANU

- Related to Patch #29424: Convert migration file from 4.2 to 5.2 added

#31 - 2018-10-16 04:41 - Go MAEDA

- Related to Patch #29772: Rails 5: Update INSTALL doc: s/WEBrick/Puma/ added

#32 - 2018-12-02 01:39 - Go MAEDA

- Related to Defect #26066: Selenium::WebDriver doesn't work with current version of Firefox added

#33 - 2018-12-15 03:18 - Go MAEDA

- Related to Defect #30211: Crash with the message "undefined method `alias_method_chain'" when connecting to Microsoft SQL Server added

#34 - 2018-12-28 01:36 - Go MAEDA

- Related to deleted (Defect #30211: Crash with the message "undefined method `alias_method_chain'" when connecting to Microsoft SQL Server)

#35 - 2018-12-28 01:37 - Go MAEDA

- Related to Defect #30285: Microsoft SQL server support is broken added

#36 - 2019-01-02 06:23 - Marius BĂLTEANU

- Related to Feature #29660: Add Referrer-Policy header to prevent browsers from sending private data to external sites added

#37 - 2019-02-25 04:53 - Go MAEDA

- Related to Defect #30753: Plugins auto_load and eager_load paths added
